﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo
{   
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<OrderInfo> _orderList;
        public ObservableCollection<OrderInfo> OrderList
        {
            get
            {
                return _orderList;
            }
            set
            {
                _orderList = value;
                RaisePropertyChanged("OrderList");
            }
        }
        public ViewModel()
        {
            _orderList = new ObservableCollection<OrderInfo>();
            _orderList.Add(new OrderInfo() { ProductId = 1001, ProductName = "Alice Mutton", NoOfOrders = 10, OrderDate = new DateTime(2015, 5, 2), CountryName = "Argentina", ShipCity = "Buenos Aires" });
            _orderList.Add(new OrderInfo() { ProductId = 1002, ProductName = "NuNuCa Nuß-Nougat-Creme", NoOfOrders = 10, OrderDate = new DateTime(2015, 5, 20), CountryName = "Austria", ShipCity = "Graz" });
            _orderList.Add(new OrderInfo() { ProductId = 1003, ProductName = "Boston Crab Meat", NoOfOrders = 100, OrderDate = new DateTime(2015, 5, 3), CountryName = "Belgium", ShipCity = "Bruxelles" });
            _orderList.Add(new OrderInfo() { ProductId = 1004, ProductName = "Konbu", NoOfOrders = 50, OrderDate = new DateTime(2015, 5, 13), CountryName = "Brazil", ShipCity = "Campinas" });
            _orderList.Add(new OrderInfo() { ProductId = 1005, ProductName = "Boston Crab Meat", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 23), CountryName = "Canada", ShipCity = "Montréal" });
            _orderList.Add(new OrderInfo() { ProductId = 1006, ProductName = "Raclette Courdavault", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Denmark", ShipCity = "Århus" });
            _orderList.Add(new OrderInfo() { ProductId = 1007, ProductName = "Wimmers gute Semmelknödel", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Finland", ShipCity = "Helsinki" });
            _orderList.Add(new OrderInfo() { ProductId = 1008, ProductName = "Gorgonzola Telino", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "France", ShipCity = "Lille" });
            _orderList.Add(new OrderInfo() { ProductId = 1009, ProductName = "Fløtemysost", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Germany", ShipCity = "Aachen" });
            _orderList.Add(new OrderInfo() { ProductId = 1010, ProductName = "Chartreuse verte", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Italy", ShipCity = "Bergamo" });
            _orderList.Add(new OrderInfo() { ProductId = 1011, ProductName = "Thüringer Rostbratwurst", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Ireland", ShipCity = "Cork" });
            _orderList.Add(new OrderInfo() { ProductId = 1012, ProductName = "Vegie-spread", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 13), CountryName = "Mexico", ShipCity = "México D.F." });
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
